Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155506 - dhclient-script - a typo
Summary: dhclient-script - a typo
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: dhcp
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Vas Dias
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-20 22:16 UTC by Michal Jaegermann
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-20 07:41:13 UTC


Attachments (Terms of Use)

Description Michal Jaegermann 2005-04-20 22:16:18 UTC
Description of problem:

On line 367 of /sbin/dhclient-script we got:

change_resolv_conf /etc/resolv.conf.predhclien

and this results in (not so easy to track to source) erorrs every time
'ifdown' is done on an interfaces served by DHCP.

'/etc/resolv.conf' string is used quite a few times in this file - with
'.predhclient' suffix and without.  Maybe storing it in a varaiable
would be not a bad idea?

Version-Release number of selected component (if applicable):
dhcp-3.0.2-8

Comment 1 Jason Vas Dias 2005-04-22 19:20:16 UTC
Now fixed with dhcp-3.0.2-9 in today's rawhide .

Comment 2 Marius Andreiana 2005-08-20 07:41:13 UTC
Fixed on rawhide


Note You need to log in before you can comment on or make changes to this bug.